VERSION 5.00
Object = "{95C1F41F-ED63-433B-ACDB-D6B5BE6D3566}#2.0#0"; "GP3.ocx"
Begin VB.Form TempForm 
   Caption         =   "AWC GP3 Temp Demo"
   ClientHeight    =   2280
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   4680
   LinkTopic       =   "Form1"
   ScaleHeight     =   2280
   ScaleWidth      =   4680
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox Limit 
      Height          =   375
      Left            =   840
      TabIndex        =   5
      Text            =   "75"
      Top             =   1320
      Width           =   855
   End
   Begin VB.ComboBox CPort 
      Height          =   315
      ItemData        =   "TempForm.frx":0000
      Left            =   2760
      List            =   "TempForm.frx":0002
      Style           =   2  'Dropdown List
      TabIndex        =   2
      Top             =   1320
      Width           =   1215
   End
   Begin VB.Timer Timer1 
      Enabled         =   0   'False
      Interval        =   500
      Left            =   3600
      Top             =   120
   End
   Begin AWCGP3.GP3IO IO 
      Height          =   615
      Left            =   3600
      TabIndex        =   0
      Top             =   600
      Width           =   855
      _ExtentX        =   1508
      _ExtentY        =   1085
      CommPort        =   7
   End
   Begin VB.Label Label2 
      AutoSize        =   -1  'True
      Caption         =   "Limit:"
      Height          =   195
      Left            =   360
      TabIndex        =   6
      Top             =   1320
      Width           =   360
   End
   Begin VB.Label Label1 
      AutoSize        =   -1  'True
      Caption         =   "COM"
      Height          =   195
      Left            =   2160
      TabIndex        =   4
      Top             =   1320
      Width           =   360
   End
   Begin VB.Label CStatus 
      Caption         =   "Disconnected"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   375
      Left            =   240
      TabIndex        =   3
      Top             =   1800
      Width           =   1695
   End
   Begin VB.Label Temp 
      Caption         =   "Temp="
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   20.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H0000FF00&
      Height          =   735
      Left            =   360
      TabIndex        =   1
      Tag             =   "Temp="
      Top             =   360
      Width           =   3015
   End
End
Attribute VB_Name = "TempForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub CPort_Click()
On Error Resume Next
Timer1.Enabled = False
IO.portopen = False
Err.Clear
IO.CommPort = CPort.Text
IO.portopen = True
If Err.Number <> 0 Or Not IO.ready Then
  CStatus.Caption = "Disconnected"
  CStatus.ForeColor = vbRed
  MsgBox "Can't connect to I/O Board"
Else
  IO.pwm -1, 0, 5000   ' turn off fan
  IO.low 0             ' turn off indicator
  CStatus.Caption = "Connected"
  CStatus.ForeColor = vbGreen
  Timer1.Enabled = True
End If

End Sub

Private Sub Form_Load()
For i = 1 To 10
  CPort.AddItem (i)
Next
End Sub

Private Sub Timer1_Timer()
Static toggle
If IO.ready = False Then Exit Sub
' pulse indicator
toggle = Not toggle
IO.led = toggle
' average 5 samples
  adv = 0
  For i = 1 To 5
    adv = adv + IO.a2d(0)
  Next
  adv = adv / 5
  t = adv / 1023# * 5 * 100
  Temp.Caption = Temp.Tag & Format(t, "#0.0") & " F"
  l = Val(Limit.Text)
  If l = 0 Then Exit Sub
  If t > l Then
     deltat = t - l
     Select Case deltat
       Case Is < 2
         dc = 10
       Case Is < 10
         dc = 64
       Case Else
         dc = 255
     End Select
     Temp.ForeColor = vbRed
     IO.high 0  ' turn on alarm light
     IO.pwm -1, dc, 5000
     IO.freq 1, 1000, 250
  Else
     Temp.ForeColor = vbGreen
     IO.low 0
     IO.pwm -1, 0, 5000
  End If

End Sub
